package com.clx.performance.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

public enum OrderGoodsTypeEnum {
    ;

    @Getter
    @AllArgsConstructor
    public enum Status {

        PLATFORM("PT", "平台"),
        ;

        private final String code;
        private final String name;

        public static Optional<Status> getByCode(String code) {
            return Arrays.stream(values()).filter(e -> e.code .equals(code)).findFirst();
        }
    }


}
